class_list =
{
	{
		id = "NOITA", --no perks, normal starting gear
		ui_name = "Noita",
		ui_description = "The classic experience.",
		ui_icon = "data/selectable_classes/classes/assets/todo.png",
		pickup_icon = "data/selectable_classes/classes/assets/noita.png",
		wands = {
			"data/entities/items/starting_wand.xml",
			"data/entities/items/starting_bomb_wand.xml",
		},
		items = {
			{
				base = "data/selectable_classes/classes/potion.xml",
				setup = function(entity_id) AddMaterialInventoryMaterial( entity_id, "water", 1000 ) end
			}
		},
	},
	
	{
		id = "PYROMANCER", --explosion on burning -> firebomb, fire immunity, fire flask
		ui_name = "Pyromancer",
		ui_description = "You have an affinity for flame.",
		ui_icon = "data/selectable_classes/classes/assets/todo.png",
		pickup_icon = "data/selectable_classes/classes/assets/pyromancer.png",
		perks = { "PROTECTION_FIRE" },
		wands = {
			{
				sprite = 799,
				fire_rate_wait = 30,
				actions_per_round = 1,
				shuffle_deck_when_empty = 0,
				deck_capacity = 2,
				spread_degrees= 1.5,
				reload_time = 25,
				mana_charge_speed = 30,
				mana_max = 100,
				speed_multiplier = 1,
				actions = { "HITFX_EXPLOSION_BURNING", "FIREBOMB" }
			}
		},
		items = {
			{
				base = "data/selectable_classes/classes/potion.xml",
				setup = function(entity_id) AddMaterialInventoryMaterial( entity_id, "liquid_fire", 1000 ) end
			}
		},
	},
	
	{
		id = "CRYOMANCER", --frost charge -> energy sphere, freeze field, fire flask
		ui_name = "Cryomancer",
		ui_description = "You have an affinity for frost.",
		ui_icon = "data/selectable_classes/classes/assets/todo.png",
		pickup_icon = "data/selectable_classes/classes/assets/cryomancer.png",
		perks = { "FREEZE_FIELD" },
		wands = {
			{
				sprite = 232,
				fire_rate_wait = 32,
				actions_per_round = 1,
				shuffle_deck_when_empty = 0,
				deck_capacity = 2,
				spread_degrees= 1.5,
				reload_time = 43,
				mana_charge_speed = 30,
				mana_max = 100,
				speed_multiplier = 1,
				actions = { "FREEZE", "LIGHT_BULLET" }
			},
			"data/entities/items/starting_bomb_wand.xml",
		},
		items = {
			{
				base = "data/selectable_classes/classes/potion.xml",
				setup = function(entity_id) AddMaterialInventoryMaterial( entity_id, "slush", 1000 ) end
			}
		},
	},

	{
		id = "TESLA", --electric charge -> water trail -> magic bolt, electricity, water flask
		ui_name = "Tesla",
		ui_description = "A storm approaches.",
		ui_icon = "data/selectable_classes/classes/assets/todo.png",
		pickup_icon = "data/selectable_classes/classes/assets/tesla.png",
		perks = { "ELECTRICITY" },
		wands = {
			{
				sprite = 992,
				fire_rate_wait = 22,
				actions_per_round = 1,
				shuffle_deck_when_empty = 0,
				deck_capacity = 2,
				spread_degrees= 2,
				reload_time = 36,
				mana_charge_speed = 30,
				mana_max = 100,
				speed_multiplier = 1,
				always_cast = { "ELECTRIC_CHARGE" },
				actions = { "LIGHT_BULLET" }
			},
			"data/entities/items/starting_bomb_wand.xml",
		},
		items = {
			{
				base = "data/selectable_classes/classes/potion.xml",
				setup = function(entity_id) AddMaterialInventoryMaterial( entity_id, "water", 1000 ) end
			},
			{ base = "data/entities/items/pickup/thunderstone.xml" }
		},
	},
    
    {
		id = "WHIRLIGIG", --critical on bloody -> sawblade, more blood, blood flask
		ui_name = "Whirligig",
		ui_description = "The sweet blood, it sings to you.",
		ui_icon = "data/selectable_classes/classes/assets/todo.png",
		pickup_icon = "data/selectable_classes/classes/assets/whirligig.png",
		perks = { "GLOBAL_GORE" },
		wands = {
			{
				sprite = 491,
				fire_rate_wait = 30,
				actions_per_round = 1,
				shuffle_deck_when_empty = 0,
				deck_capacity = 2,
				spread_degrees= 1.5,
				reload_time = 7,
				mana_charge_speed = 20,
				mana_max = 100,
				speed_multiplier = 1,
				actions = { "HITFX_CRITICAL_BLOOD", "DISC_BULLET" }
			},
			{
				sprite = 300,
				fire_rate_wait = 60,
				actions_per_round = 1,
				shuffle_deck_when_empty = 1,
				deck_capacity = 2,
				spread_degrees= 3.5,
				reload_time = 60,
				mana_charge_speed = 30,
				mana_max = 100,
				speed_multiplier = 1,
				actions = { "DYNAMITE" }
			}
		},
		items = {
			{
				base = "data/selectable_classes/classes/potion.xml",
				setup = function(entity_id) AddMaterialInventoryMaterial( entity_id, "blood", 1000 ) end
			}
		},
    },
    
    {
		id = "HUNTER", --speed up -> summon arrow, concentrated spells, invisiblium flask
		ui_name = "Hunter",
		ui_description = "A keen eye and a predator instinct.",
		ui_icon = "data/selectable_classes/classes/assets/todo.png",
		pickup_icon = "data/selectable_classes/classes/assets/hunter.png",
		perks = { "LOWER_SPREAD" },
		wands = {
			{
				sprite = 581,
				fire_rate_wait = 12,
				actions_per_round = 1,
				shuffle_deck_when_empty = 0,
				deck_capacity = 3,
				spread_degrees= 0,
				reload_time = 20,
				mana_charge_speed = 50,
				mana_max = 200,
				speed_multiplier = 1,
				always_cast = { "SPEED" },
				actions = { "ARROW" }
			},
			{
				sprite = 252,
				fire_rate_wait = 60,
				actions_per_round = 1,
				shuffle_deck_when_empty = 1,
				deck_capacity = 2,
				spread_degrees= 3.5,
				reload_time = 30,
				mana_charge_speed = 30,
				mana_max = 150,
				speed_multiplier = 1,
				actions = { "EXPLODING_DEER" }
			}
		},
		items = {
			{
				base = "data/selectable_classes/classes/potion.xml",
				setup = function(entity_id) AddMaterialInventoryMaterial( entity_id, "magic_liquid_invisibility", 1000 ) end
			}
		},
	},

	{
		id = "GAMBLER", --crazy trail -> bubbly shots, perk lottery, chaotic polymorphine flask
		ui_name = "Gambler",
		ui_description = "You're feeling lucky today.",
		ui_icon = "data/selectable_classes/classes/assets/todo.png",
		pickup_icon = "data/selectable_classes/classes/assets/gambler.png",
		perks = { "PERKS_LOTTERY" },
		wands = {
			{
				sprite = 557,
				fire_rate_wait = 15,
				actions_per_round = 1,
				shuffle_deck_when_empty = 1,
				deck_capacity = 2,
				spread_degrees= 45,
				reload_time = 35,
				mana_charge_speed = 10,
				mana_max = 100,
				speed_multiplier = 1,
				always_cast = { "CHAOTIC_ARC" },
				actions = { "BUBBLESHOT","SPITTER" }
			},
			{
				sprite = 346,
				fire_rate_wait = 15,
				actions_per_round = 1,
				shuffle_deck_when_empty = 1,
				deck_capacity = 4,
				spread_degrees= 360,
				reload_time = 35,
				mana_charge_speed = 50,
				mana_max = 200,
				speed_multiplier = 1.5,
				actions = { "BLACK_HOLE" }
			}
		},
		items = {
			{
				base = "data/selectable_classes/classes/potion.xml",
				setup = function(entity_id) AddMaterialInventoryMaterial( entity_id, "magic_liquid_random_polymorph", 1000 ) end
			}
		},
	},

	{
		id = "MUTANT", --tentacle, lukki mutation, revenge tentacle, slime flask
		ui_name = "Mutant",
		ui_description = "An experiment gone wrong...",
		ui_icon = "data/selectable_classes/classes/assets/todo.png",
		pickup_icon = "data/selectable_classes/classes/assets/mutant.png",
		perks = { "REVENGE_TENTACLE", "ATTACK_FOOT" },
		wands = {
			{
				sprite = 250,
				fire_rate_wait = 12,
				actions_per_round = 1,
				shuffle_deck_when_empty = 1,
				deck_capacity = 2,
				spread_degrees= 5,
				reload_time = 30,
				mana_charge_speed = 30,
				mana_max = 100,
				speed_multiplier = 1,
				actions = { "TENTACLE" }
			},
		},
		items = {
			{
				base = "data/selectable_classes/classes/potion.xml",
				setup = function(entity_id) AddMaterialInventoryMaterial( entity_id, "slime", 1000 ) end
			}
		},
	},

	{
		id = "MINER", --digging bolt, dynamite x2 w/torch, trick greed, gunpowder flask, whiskey flask, 
		ui_name = "Miner",
		ui_description = "You're eager to blast a hole in the caves.",
		ui_icon = "data/selectable_classes/classes/assets/todo.png",
		pickup_icon = "data/selectable_classes/classes/assets/miner.png",
		perks = { "EXTRA_MONEY_TRICK_KILL" },
		wands = {
			{
				sprite = 932,
				fire_rate_wait = 9,
				actions_per_round = 1,
				shuffle_deck_when_empty = 1,
				deck_capacity = 4,
				spread_degrees= 5,
				reload_time = 24,
				mana_charge_speed = 50,
				mana_max = 100,
				speed_multiplier = 1,
				actions = { "DIGGER" }
			},
			{
				sprite = 300,
				fire_rate_wait = 60,
				actions_per_round = 1,
				shuffle_deck_when_empty = 1,
				deck_capacity = 2,
				spread_degrees= 3.5,
				reload_time = 60,
				mana_charge_speed = 25,
				mana_max = 100,
				speed_multiplier = 1,
				actions = { "DYNAMITE", "DYNAMITE" }
			}
		},
		items = {
			{
				base = "data/selectable_classes/classes/potion.xml",
				setup = function(entity_id) AddMaterialInventoryMaterial( entity_id, "gunpowder_unstable", 500 ) end
			},
			{
				base = "data/selectable_classes/classes/potion.xml",
				setup = function(entity_id) AddMaterialInventoryMaterial( entity_id, "alcohol", 750 ) end
			}
		},
	},

	{
		id = "DOOMSAYER", --nuke, glass cannon, berserkium flask
		ui_name = "Doomsayer",
		ui_description = "The end is coming!",
		ui_icon = "data/selectable_classes/classes/assets/todo.png",
		pickup_icon = "data/selectable_classes/classes/assets/doomsayer.png",
		perks = { "GLASS_CANNON" },
		wands = {
			{
				sprite = 262,
				fire_rate_wait = 60,
				actions_per_round = 40,
				shuffle_deck_when_empty = 1,
				deck_capacity = 40,
				spread_degrees= 10,
				reload_time = 60,
				mana_charge_speed = 30,
				mana_max = 200,
				speed_multiplier = 1,
				actions = { "NUKE" }
			}
		},
		items = {
			{
				base = "data/selectable_classes/classes/potion.xml",
				setup = function(entity_id) AddMaterialInventoryMaterial( entity_id, "magic_liquid_berserk", 1000 ) end
			}
		},
	},
}


function get_class_with_id( class_list, class_id )
	local class_data = nil
	for i,class in ipairs(class_list) do
		if class.id == class_id then
			class_data = class
			break
		end
	end

	return class_data
end